## Struct fd_resource_traits

boost::scope::fd_resource_traits — POSIX-like file descriptor resource traits.

## Synopsis

    // In header: <boost/scope/fd_resource_traits.hpp>

    struct fd_resource_traits {

      // public static functions
      static int make_default() noexcept;
      static bool is_allocated(int) noexcept;
    };

## Description

### `fd_resource_traits` public static functions

1.     static int make_default() noexcept;

   Creates a default fd value.

2.     static bool is_allocated(int fd) noexcept;

   Tests if the fd is allocated (valid)